Skip to content

Cancel an invitation

POST
/v1/members/invitations/{id}/cancel
curl --request POST \
--url https://api.overwatch.weareheavy.dev/v1/members/invitations/example/cancel \
--header 'Authorization: Bearer <token>'

Cancel a pending invitation. Session-only, owner/admin.

id
required
string

The invitation’s id.

The invitation was cancelled.

Media typeapplication/json
object
cancelled
required
boolean
Example
{
"cancelled": true
}

Missing or invalid credentials.

Media typeapplication/json
object
error
required

A human-readable error message.

string
Example
{
"error": "invalid api key"
}

A dashboard session is required (API-key callers are rejected), or the session’s role does not allow this action.

Media typeapplication/json
object
error
required

A human-readable error message.

string
Example
{
"error": "a dashboard session is required"
}